%define name	pyrex
%define version	0.9
%define release 1mdk

Name: 	 	%{name}
Summary: 	Language for Writing Python Extension Modules
Version: 	%{version}
Release: 	%{release}

Source:		Pyrex-%{version}.tar.bz2
URL:		http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/
License:	Free
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
Requires:	python

%description
Pyrex lets you write code that mixes Python and C data types any way you want,
and compiles it into a C extension for Python. 

%prep
%setup -q -n Pyrex-%version

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT
mkdir -p %buildroot/%_datadir/emacs/site-lisp
cp Tools/pyrex-mode.el %buildroot/%_datadir/emacs/site-lisp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt Demos Doc
%_bindir/pyrexc
%_libdir/python2*/site-packages/Plex
%_libdir/python2*/site-packages/Pyrex
%_datadir/emacs/site-lisp/pyrex-mode.el

%changelog
* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9

* Fri Aug 8 2003 Austin Acton <aacton@yorku.ca> 0.6.1-2mdk
- python 2.3

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 0.6.1-mdk
- initial package
